mk/pgsql.buildlink3.mk
Mon, 21 May 2018 08:07:49 +0000 adam Removed postgresql92 support trunk
Mon, 23 Oct 2017 20:34:27 +0000 adam Added support for PostgreSQL 10.0 trunk
Thu, 01 Jun 2017 13:30:24 +0000 jlam Use public SHLIB_TYPE instead of private _OPSYS_SHLIB_TYPE. trunk
Wed, 24 May 2017 19:51:12 +0000 adam Removed databases/postgresql91 trunk
Sun, 30 Oct 2016 08:57:12 +0000 adam Added postgresql96 support trunk
Sun, 09 Oct 2016 21:08:18 +0000 wiz Bump pgsql default to 95. trunk
Thu, 25 Feb 2016 21:39:07 +0000 tnn PostgreSQL 9.5 awareness trunk
Sat, 24 Oct 2015 21:21:26 +0000 joerg Unhook further PG 8.4 and 9.0 redirection. trunk
Sat, 24 Oct 2015 21:18:12 +0000 joerg Drop EOLed PostgreSQL 8.4 and 9.0 from the supported list of PG trunk
Tue, 17 May 2005 18:29:44 +0000 tv sync [all but bsd.pkg.mk] with HEAD tv-derecurse
Mon, 21 Mar 2005 15:43:00 +0000 tv sync with HEAD tv-derecurse
Fri, 11 Feb 2005 15:27:56 +0000 tv sync with HEAD tv-derecurse
Wed, 14 Jan 2015 21:01:18 +0000 adam PostgreSQL 9.4.0: trunk
Tue, 10 Jun 2014 14:21:37 +0000 joerg Bump PostgreSQL default version to 9.3. trunk
Tue, 10 Sep 2013 15:35:30 +0000 adam Added databases/postgresql93 version 9.3.0 trunk
Thu, 04 Apr 2013 21:08:25 +0000 adam The PostgreSQL Global Development Group has released a security update to all current versions of the PostgreSQL database system, including versions 9.2.4, 9.1.9, 9.0.13, and 8.4.17. This update fixes a high-exposure security vulnerability in versions 9.0 and later. All users of the affected versions are strongly urged to apply the update immediately. trunk
Fri, 05 Oct 2012 21:09:02 +0000 adam Added databases/postgresql92 version 9.2.1 trunk
Thu, 02 Aug 2012 03:53:19 +0000 asau Default to PostgreSQL 9.1 as announced on pkgsrc-users and tech-pkg two weeks ago. trunk
Thu, 15 Sep 2011 08:35:40 +0000 adam Added databases/postgresql91 version 9.1.0 trunk
Sun, 08 May 2011 19:29:02 +0000 adam Adjust installed version auto-detection trunk
Tue, 12 Oct 2010 16:44:19 +0000 joerg Remove PostgreSQL 8.2 from the list. trunk
Tue, 21 Sep 2010 07:56:11 +0000 adam Added databases/postgresql90 version 9.0.0 trunk
Wed, 10 Feb 2010 19:33:54 +0000 joerg Change PostgreSQL default to 8.4. trunk
Fri, 14 Aug 2009 19:40:48 +0000 joerg Unsupport PostgreSQL 8.1. Garbage collect detection of ancient versions. trunk
Wed, 29 Jul 2009 06:33:03 +0000 adam Added databases/postgresql84 trunk
Thu, 13 Mar 2008 17:38:48 +0000 joerg Make PostgreSQL 8.2 the default version. Bump all packages using it. trunk
Tue, 04 Mar 2008 12:50:25 +0000 adam Added postgresql83 trunk
Wed, 06 Jun 2007 12:40:05 +0000 rillig Added _VARGROUPS. trunk
Sat, 10 Feb 2007 08:59:07 +0000 rillig Replaced the deprecated PKG_SKIP_REASON with PKG_FAIL_REASON. trunk
Thu, 28 Dec 2006 12:12:57 +0000 joerg Change PostgreSQL default version to 8.1 and bump revision of all trunk
Wed, 27 Dec 2006 15:57:36 +0000 joerg As discussed on tech-pkg, remove PostgreSQL 7.4. trunk
Tue, 26 Dec 2006 18:42:44 +0000 adam Support 8.1 and 8.2 for Darwin trunk
Sat, 09 Dec 2006 16:18:40 +0000 adam Added postgresql82 version 8.2.0 trunk
Wed, 18 Oct 2006 20:48:58 +0000 rillig Added a stub describing the public interface of this file. trunk
Tue, 06 Jun 2006 19:43:43 +0000 joerg One more reminder of PostgreSQL 7.3 to remove... trunk
Mon, 20 Mar 2006 14:48:45 +0000 uebayasi postgresql81 has moved from wip to pkgsrc. trunk
Sun, 08 Jan 2006 12:53:53 +0000 abs permit postgresl81 trunk
Fri, 11 Nov 2005 15:47:52 +0000 joerg Change default PostgreSQL version to 8.0. trunk
Sat, 06 Aug 2005 23:01:19 +0000 abs At least on NetBSD 2.0 i386 postgres80 is currently installing trunk
Tue, 24 May 2005 10:01:25 +0000 rillig Added a variable PGSQL_VERSION that identifies the PostgreSQL version used. trunk
Thu, 12 May 2005 22:19:16 +0000 jlam postgresql80-client is the correct BUILDLINK_PACKAGE word to use when trunk
Mon, 11 Apr 2005 20:35:24 +0000 recht catch up with PostgreSQL 8.0.2 and support Darwin .dylib trunk
Thu, 24 Mar 2005 17:46:00 +0000 tv USE_BUILDLINK3 is no longer optional (and cannot be turned off). Per mail trunk
Thu, 17 Mar 2005 21:44:58 +0000 jlam Set PGSQL_TYPE to the PKGBASE of the PostgreSQL library package that's trunk
Mon, 07 Feb 2005 04:12:49 +0000 dan pg80 is now in databases, not wip trunk
Mon, 07 Feb 2005 04:07:13 +0000 dan don't recognise pg80 as pg74 also trunk
Tue, 01 Feb 2005 11:07:31 +0000 abs allow postgresql80 (from wip), similar to java-vm.mk and jdk14 trunk
Tue, 26 Oct 2004 21:39:33 +0000 xtraeme Add missing PKG_SKIP_REASON when ${_PGSQL_VERSION} is defined, but trunk
Sat, 24 Jul 2004 10:40:15 +0000 recht Export the according BUILDLINK_PREFIX of postgresql-lib as PGSQL_PREFIX. trunk
Fri, 23 Jul 2004 21:40:00 +0000 recht pgsql.buildlink3.mk is used to select a PostgreSQL version for use by trunk
less more (0) tip